#dg`make.flags` Several variables can be set in order to control what to build and what dependencies to enable, these can be set either in the environment, for example: <?
# ENABLE_XXX=false make   # Set flag for single command, or
# export ENABLE_XXX=false # export flag in environment and
# make                    # reuse exported flags.
#?>Or by directly editing the file ``common/flags.mk``.

export ENABLE_DIM ?=true
export ENABLE_MON ?=true
export ENABLE_HWLOC ?=true
export ENABLE_DOCRA ?=true
#dg`make.flags`1 _ The following dependency flags are available: _
# ENABLE_DIM::
# Whether to include support for http://cern.ch/dim[DIM]. Default: *true*.
# ENABLE_MON::
# Whether to include the interface for DQMP (Data Quality Monitor and Presenter). Default: *true*.
# ENABLE_HWLOC::
# Whether to include support for the https://www.open-mpi.org/projects/hwloc[hwloc library] (will try to schedule threads processing data from a PCIe40 board on a core closest to the corresponding PCIe root complex). Default: *true*.
# ENABLE_DOCRA::
# Whether to generate the documentation (HTML and man pages). Requires docra and asciidoctor installed. Default: *true*.

export ENABLE_DAQ40 ?=true
export ENABLE_AMC40 ?=true
export ENABLE_CCPC40 ?=false
export ENABLE_PCIE40 ?=true
#dg`make.flags`2 _ The following flags can be used to build only a subset of the targets: _
# ENABLE_DAQ40::
# Build tools and libraries that are common to both AMC40 and PCIe40 setups. Default: *true*.
# ENABLE_AMC40::
# Build tools and libraries specific to the AMC40 board. Default: *true*.
# ENABLE_CCPC40::
# Build tools and libraries specific to the AMC40 CCPC module. Default: *false*.
# ENABLE_PCIE40::
# Build tools and libraries specific the the PCIe40 board. Default: *true*.

export DIM_CXXFLAGS ?=-I/usr/local/include/dim
export DIM_LDFLAGS ?=-L/usr/local/lib64 -ldim
#export DIM_CXXFLAGS=-I$(HOME)/Sources/dim_v20r20/dim
#export DIM_LDFLAGS=-L$(HOME)/Sources/dim_v20r20/linux -ldim

export PREFIX ?=/usr
export DAQ40_PREFIX ?=/opt/lhcb/daq40
